Subject: Re: [eman] Entity identification method (was: EMAN chartered items versus drafts)

From: "Chris Verges" <[email-masked]>
Date: Tue, 26 Oct 2010 21:26:23 -0700

Hi Juergen and all,

Agreed that a common ID method makes sense, and ENTITY-MIB seems to be a
good choice.  In case (c) from your list, wouldn't the remote agent
condition be handled by ENTITY-MIB supporting a logical entity that is
the remote agent iself?  Since the logical entity is in the ENTITY-MIB
table, it would be given a unique ID mixed amongst the other logical and
physical entities.

At that point, should all of the MIBs being discussed in the EMAN WG be
sparse table augmentations of ENTITY-MIB?

Thanks,
Chris

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Juergen Quittek
Sent: Tuesday, October 26, 2010 6:01 AM
To: Benoit Claise; eman mailing list
Subject: [eman] Entity identification method (was: EMAN chartered items
versus drafts)

Hi Benoit and all,

I agree that we should find a common identification method for entities
used by all MIB modules. This does not apply to the POWER MIB only, but
to all MIB modules in the eman WG.
The modules will use an entity ID as index for their tables.
Which entity is identified by the index can be resolved by other MIB
modules, such as the POWER AWARE MIB module
(draft-parello-eman-energy-aware-mib) or the ENTITY MIB module (RFC
4133).

I see three basic scenarios for the entity identification:

  a) a device just reports on its own power state and energy
     consumption and it reports on its own as a single unit.

     Then we have a single index only stating "it's me".
     Such a device usually does not need further identification
     of itself, because typically there are sufficient other
     MIB modules for this purpose running in the same SNMP engine,
     that provide information about the device's IP address,
     manufacturer, operating system, etc. In such a case a
     'trivial' index, such as '0' should be used in order to
     keep it simple in this most simple case.

  b) a device reports on its own but not just as a single unit
     but it reports power states and energy consumption for its
     individual components, for example it may report separately
     on contained hard drives, line cards, back planes,
     processor boards, etc.

     In such a case, identification of these components as
     individual entities would be required. The ENTITY MIB
     module was designed for this purpose and would be a good
     choice here. Also the POWER AWARE MIB module would be
     useful in this case.

  c) a device reports on energy consumption of other, remote
     devices. Then remote devices (and potentially also their
     contained components need to be identified. For
     identifying remote components there is the POWER AWARE MIB
     module that has been designed for this purpose. As far as
     I understand, the ENTITY MIB module is not applicable to
     remote devices.

In summary,
  - if you need to report on remote entities (case c)),
    you need the POWER AWARE MIB module,
  - if you report only on entities locally contained
    in the reporting device (case b)), you can use
    the POWER AWARE MIB or the ENTITY MIB
  - if you report just on your own as a single device
    (case a)), identification is trivial

Hence, my recommendation (stated for POWER-STATE MIB and ENERGY MIB in
draft-quittek-power-mib-02) would be:

If there is an implementation of the POWER AWARE MIB module instantiated
in the local SNMP engine, then you SHOULD (or MUST?) use it for indexing
(pmIndex).
If this is not the case but there is an ENTITY MIB instance available,
then you SHOULD use this one (entPhysicalIndex).
If neither of this MIB modules is available you should use index 0 only
and be limited to report on the local device as a single entity only.

That's just my view. Certainly, there are more ways of entity
identification. I look forward to discussing them.

Thanks,

    Juergen

On 26.10.10 11:44  "Benoit Claise" <[email-masked]> wrote:

> Hi Juergen,
> 
> Thanks for the clarification.
> 
> Something key is to agree on the Power Monitor index for all MIB 
> modules, which IMHO should be part of the Energy-aware Networks and 
> Devices MIB module, but reuse in the other MIB modules.
> 
> Regards, Benoit.
>> Hi Benoit,
>> 
>> Thanks for checking all drafts.
>> 
>> I don't think that draft-quittek-power-mib-02 makes significant 
>> contributions to the Energy-aware Networks and Devices MIB.
>> It just covers the Power and Energy Monitoring MIB and the Battery
MIB.
>> 
>> Thanks,
>>      Juergen
>> 
>> 
>> On 26.10.10 08:22  "Benoit Claise"<[email-masked]>  wrote:
>> 
>>> Dear all,
>>> 
>>> I went through the exercise of mapping the existing six chartered 
>>> items with the existing draft content.
>>> 
>>> _Energy Management Requirements_
>>> http://tools.ietf.org/html/draft-quittek-power-monitoring-requiremen
>>> ts-02 https://datatracker.ietf.org/doc/draft-norwin-energy-consider/
>>> _
>>> Energy Management Framework_
>>> http://tools.ietf.org/html/draft-claise-power-management-arch-02
>>> 
>>> _Energy-aware Networks and Devices MIB_
>>> http://tools.ietf.org/html/draft-parello-eman-energy-aware-mib-00
>>> http://tools.ietf.org/html/draft-quittek-power-mib-02
>>> 
>>> _Power and Energy Monitoring MIB_
>>> http://tools.ietf.org/html/draft-claise-energy-monitoring-mib-06
>>> http://tools.ietf.org/html/draft-quittek-power-mib-02
>>> 
>>> _Battery MIB_
>>> http://tools.ietf.org/html/draft-quittek-power-mib-02
>>> 
>>> _Energy Management Applicability_
>>> http://datatracker.ietf.org/doc/draft-tychon-eman-applicability-stat
>>> ement/
>>> 
>>> Please let me know if I made any mistakes or if I missed any draft?
>>> 
>>> Regards, Benoit.
>>> _______________________________________________
>>> eman mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/eman
>